Subject: Re: [RFC] Third round of support for cloning submodules

From: Martin Waitz <[email-masked]>
Date: Mon, 21 May 2007 13:34:15 +0200

hoi :)

On Mon, May 21, 2007 at 12:14:55PM +0200, Sven Verdoolaege wrote:
> How?  AFAICS, it's upload-pack of the *clonee* that determines
> where the actual git dir is.  The cloner has no clue.

we can just store the link to the workdir-or-gitdir and then try
it out every time we access it.  When clone stores the location
of the parent repository it doesn't know what it points to, but
fetch works, too.

-- 
Martin Waitz